<?php

use App\Http\Controllers\AboutPageController;
use App\Http\Controllers\BlogPageController;
use App\Http\Controllers\CareerPageController;
use App\Http\Controllers\HomePageController;
use App\Http\Controllers\TeamPageController;
use App\Http\Controllers\WhyusPageController;
use Illuminate\Support\Facades\Route;

// Homepage...
Route::get('/', [HomePageController::class, 'index'])->name('home');

// About us...
Route::get('/about', [AboutPageController::class, 'index'])->name('about.index');

// Why us...
Route::get('/why-us', [WhyusPageController::class, 'index']);

// Teams...
Route::get('/team', [TeamPageController::class, 'index']);

// Careers..
Route::get('/career', [CareerPageController::class, 'index']);

// Blogs...
Route::get('/blog', [BlogPageController::class, 'index']);
Route::get('/blog/{blog}', [BlogPageController::class, 'show']);

// Contact us...
Route::get('contact', [ContactPageController::class])->name('contact.index');

// Soon...
// Route::get('/case-study', []);
// Route::get('/events', []);
// Route::get('/faq', []);
